Espruino 1v87 released

Posted on
  • Hi, I've just pushed a new release of Espruino.

    This one is nothing groundbreaking, but there are a few nice improvments

    • Added Graphics.draw/fillCircle (courtesy of owenmcateer)
    • Fixing save() on BBC micro:bit
    • Allow tab-completion straight after a '.' (eg, E. then press Tab)
    • nRF5x(Puck.js) remove setName and add the functionality to setAdvertising, along with advertising interval (it fits better with the way Nordic's BLE API works)
    • NRF5x(Puck.js): allow raw advertising data in setAdvertising (eddystone/etc support)
    • Add E.setPassword - allows Espruino console to be locked so it's harder for people to get in to control the REPL.
    • Fix pin header numbering for BBC micro:bit (it changed for the production version)
    • Allow the magnetometer speed to be specified for Puck.js, down to every few seconds (for maximum power efficiency)
    • Fix issue where unplugging the Pico during the first second of power on and very quickly re-pluging it could stop the RTC (also fixes external oscillator if wired up)
    • Allow >8 bit SPI when sending single elements with SPI.send
    • Sockets now fire 'end' events, to be more node.js compatible

    And a few extra fixes for corruption/crashes/compatibility - see the full list at: espruino.com/ChangeLog

    To update, go into settings, then Flasher...

  • Thanks Gordon.
    For the esp8266 build the 1.5 boot loader is missing so flashing via serial fails:

    C:\Users\rhys\OneDrive\esp8266\firmware\­espruino_1v87_esp8266>..\..\esptool-mast­
    er\esptool.py --port COM3 --baud 115200 write_flash --flash_freq 80m --flash_mod
    e dio --flash_size 32m 0x0000 "boot_v1.5.bin" 0x1000 espruino_esp8266_user1.bin
    0x37E000 blank.bin
    Connecting...
    Traceback (most recent call last):
      File "C:\Users\rhys\OneDrive\esp8266\esptool-­master\esptool.py", line 724, in
    <module>
        main()
      File "C:\Users\rhys\OneDrive\esp8266\esptool-­master\esptool.py", line 628, in
    main
        image = file(filename, 'rb').read()
    IOError: [Errno 2] No such file or directory: 'boot_v1.5.bin'
    

    There is an issue here:
    github.com/espruino/Espruino/iss­ues/912

    This is part of the github.com/pfalcon/esp-open-sdk - so I'm not sure if its the ci-travis file that needs updating, or only the makefile.

    github.com/espruino/Espruino/blo­b/master/Makefile#L1927

    BOOTLOADER = "$(ESP8266_SDK_ROOT)/bin/boot_v1.4(b1).b­in"
    to
    BOOTLOADER = "$(ESP8266_SDK_ROOT)/bin/boot_v1.5.bin"

  • But there's the 1.4 bootloader in there anyway (which is mentioned in the flasher instructions), so presumably that works, as does the 512K image? It's just that you're using a different flashing command to the one in the readme?

    To be honest your bug description wasn't desperately helpful about what needs doing - it's always possible to give me a pull request if you want something changed. I guess the Makefile + dist_readme would need updating?

  • update - it looks like it's the reference here: github.com/espruino/Espruino/blo­b/master/.travis.yml#L20

    I've asked @tve to add it to the tar file.

  • Congrats on the 1v87 release. Is it safe to assume that the builds (for me the one I care about is the ESP8266 build) comes from the source tree found here:

    github.com/espruino/Espruino

    If I wanted to build the latest and greatest 1v87 build for myself so that if I wanted to make changes for potential submissions for pull requests, I want to be sure I start from the right place.

  • Yes, that's the one! There are also up to date binaries at espruino.com/binaries/travis/­master/

    @Wilberforce but am I right in thinking that the images supplied actually work fine (nobody else seems to be having issues), it's just that you were expecting a 1.5 bootloader, and it's 1.4

  • @Gordon
    The images are fine, however the 1.5 boot loader bin is missing, so you can't flash, unless you add this externally.

  • And flashing with the 1.4 bootloader doesn't work?

  • Ok, I just tested and it works fine using the commands shown in the readme in the ZIP file. Everything you need for that (bar esptool.py) is in the ZIP.

    I don't understand what the problem you're having is? If you want to use the 1.5 bootloader that's up to you, but there's doesn't seem to be anything wrong with using version 1.4 for these images.

  • Post a reply
    • Bold
    • Italics
    • Link
    • Image
    • List
    • Quote
    • code
    • Preview
About

Espruino 1v87 released

Posted by Avatar for Gordon @Gordon

Actions